import Activity from './Activity';

export default class BacknumberListActivity extends Activity {

  onStart(params) {
    super.onStart(params);
    this.requestData();
  }

  onUpdate(params) {
    super.onUpdate(params);
    this.requestData();
  }

  requestData() {
    let list = '/data/backnumbers.json';
    Promise.all([
      fetch(list).then(response => response.json())
    ])
    .then(results => {
      let backnumbers = results.shift();
      this.render(backnumbers.items);
    });
  }

  /**
   * @param {Array<object>} backnumbers
   */
  render(backnumbers) {
    let menu = backnumbers.map(item => {
      return `<a class="mdl-navigation__link" href="/vol/${item.id}">
                Volume.<span>${item.id}</span>
              </a>`;
    }).join('');

    this.context.menu.innerHTML = menu;
    this.context.title.textContent = `Frontend Weekly digests`;
    this.context.content.innerHTML = `You can check the backnumbers from menu`;
  }
}
